<?php 

class admin{
	/**
	* Главная страница
	*/
	public function index(){
		User::admin(1);
		User::aut(true);
Template::head('Админка');
		Template::run(__CLASS__, 'index');
		Template::foot();
	}
	public function reklama(){
		User::admin(2);
		User::aut(true);
		Template::head('Реклама');
		Template::run(__CLASS__, 'reklama');
		Template::foot();
	}
	public function no_aktiv(){
		User::admin(2);
		User::aut(true);
		Template::head('Реклама');
		Template::run(__CLASS__, 'no_aktiv');
		Template::foot();
	}
		public function ticet(){
		User::admin(1);
		User::aut(true);
		Template::head('Тикеты');
		Template::run(__CLASS__, 'ticet');
		Template::foot();
	}
	/**
	* Площадки 
	*/
	public function area(){
		User::admin(2);
		User::aut(true);
		Template::head('Площадки');
		Template::run(__CLASS__, 'area');
		Template::foot();
	}
		public function tiket(){
		User::admin(1);
		User::aut(true);
		Template::head('Тикеты открытые');
		Template::run(__CLASS__, 'tiket');
		Template::foot();
	}
			public function tikets(){
		User::admin(1);
		User::aut(true);
		Template::head('Тикеты закрытые');
		Template::run(__CLASS__, 'tikets');
		Template::foot();
	}
		
		public function them(){
		User::aut(true);
		if(isset($_GET['get']) && Core::count("SELECT COUNT(*) FROM `tiket` WHERE `id` = ?", array($_GET['get'])) == true){
			$them = Core::query("SELECT * FROM `tiket` WHERE `id` = ?", array($_GET['get'])) -> fetch();
			if(User::ifAdmin(1)){
				Template::head('Тикет - '.$them['title'].'');
				Template::run(__CLASS__, 'them');
				Template::foot();
			}else{
				Core::redirect('/', 'Доступ запрещен');
			}
		}else{
			Core::redirect('/admin', 'Тикет не найден.');
		}
	}
	public function tiket_act(){
		if(isset($_GET['get']) && Core::count("SELECT COUNT(*) FROM `tiket` WHERE `id` = ?", array($_GET['get'])) == true){
			User::admin(1);
		User::aut(true);
			require_once  MODEL.'admin.class.php';
			$obj = new admin_model();
			$obj -> tiket_act();
		}else{
			Core::redirect('/admin/tiket', 'Тема не найдена');
		}
	}
		/**
	*Новостной модуль (доработка sabanet)
	**/
	public function news(){
		User::admin(2);		User::aut(true);

					require_once  MODEL.'admin.class.php';
			$obj = new admin_model();
			$obj -> news();
		Template::head('Новости');
		Template::run(__CLASS__, 'news');
		Template::foot();
	}
  
	public function edit_cat(){
		if(isset($_GET['get']) && Core::count("SELECT COUNT(*) FROM `category` WHERE `id` = ?", array($_GET['get'])) == true){
			User::admin(2);
		User::aut(true);
			require_once  MODEL.'admin.class.php';
			$obj = new admin_model();
			$obj -> edit_cat();
			
			Template::head('Редактирование категории');
			Template::run(__CLASS__, 'edit_cat');
			Template::foot();
		}else{
			Core::redirect('/admin', 'Категория не найдена');
		}
	}

	public function ban_area(){
		if(isset($_GET['get']) && Core::count("SELECT COUNT(*) FROM `user_sites` WHERE `id` = ?", array($_GET['get'])) == true){
			User::admin(2);
		User::aut(true);
			require_once  MODEL.'admin.class.php';
			$obj = new admin_model();
			$obj -> ban_area();
			
			Template::head('Блок площадки');
			Template::run(__CLASS__, 'ban_area');
			Template::foot();
		}else{
			Core::redirect('/admin', 'Площадка не найдена');
		}
	}
	
	/**
	* Разбан
	*/
	public function razban_area(){
		if(isset($_GET['get']) && Core::count("SELECT COUNT(*) FROM `user_sites` WHERE `id` = ? && `ban` = '1'", array($_GET['get'])) == true){
			User::admin(2);
		User::aut(true);
			require_once  MODEL.'admin.class.php';
			$obj = new admin_model();
			$obj -> razban_area();
		}else{
			Core::redirect('/admin', 'Площадка не найдена');
		}
	}
	
	/**
	* Модерировать
	*/
	public function mod_area(){
		if(isset($_GET['get']) && Core::count("SELECT COUNT(*) FROM `user_sites` WHERE `id` = ? && `mod` = '1'", array($_GET['get'])) == true){
			User::admin(2);
		User::aut(true);
			require_once  MODEL.'admin.class.php';
			$obj = new admin_model();
			$obj -> mod_area();
		}else{
			Core::redirect('/admin', 'Площадка не найдена');
		}
	}
	
	/**
	* Редактировать
	*/
	public function edit_area(){
		User::aut(true);
		if(isset($_GET['get']) && Core::count("SELECT COUNT(*) FROM `user_sites` WHERE `id` = ?", array($_GET['get'])) == true){
			$user = User::getUser();
			$site = Core::query("SELECT * FROM `user_sites` WHERE `id` = ?", array($_GET['get'])) -> fetch();
			if(User::ifAdmin(2) or $user['id'] == $site['id_user']){
				require_once  MODEL.'admin.class.php';
				$obj = new admin_model();
				$obj -> edit_area();
				
				Template::head('Редактировать площадку');
				Template::run(__CLASS__, 'edit_area');
				Template::foot();
			}else{
				Core::redirect('/', 'Доступ запрещен');
			}
		}else{
			Core::redirect('/admin', 'Площадка не найдена');
		}
	}
	
	/**
	* Удалить
	*/
	public function del_area(){
		User::aut(true);
		if(isset($_GET['get']) && Core::count("SELECT COUNT(*) FROM `user_sites` WHERE `id` = ?", array($_GET['get'])) == true){
			$user = User::getUser();
			$site = Core::query("SELECT * FROM `user_sites` WHERE `id` = ?", array($_GET['get'])) -> fetch();
			if(User::ifAdmin(2) or $user['id'] == $site['id_user']){
				require_once  MODEL.'admin.class.php';
				$obj = new admin_model();
				$obj -> delete_area();
				Template::head('Удалить площадку');
				Template::run(__CLASS__, 'delete_area');
				Template::foot();
			}else{
				Core::redirect('/', 'Доступ запрещен');
			}
		}else{
			Core::redirect('/admin', 'Площадка не найдена');
		}
	}
		public function del_rekl(){
		User::aut(true);
		if(isset($_GET['get']) && Core::count("SELECT COUNT(*) FROM `rekl` WHERE `id` = ?", array($_GET['get'])) == true){
			if(User::ifAdmin(2)){
				require_once  MODEL.'admin.class.php';
				$obj = new admin_model();
				$obj -> del_rekl();
				Template::head('Удалить площадку');
				Template::run(__CLASS__, 'del_rekl');
				Template::foot();
			}else{
				Core::redirect('/', 'Доступ запрещен');
			}
		}else{
			Core::redirect('/admin', 'Рекламная площадка не найдена');
		}
	}
	/**
	* На модерации
	*/
	public function mod(){	
		User::admin(2);
		User::aut(true);
		Template::head('Модерация');
		Template::run(__CLASS__, 'mod');
		Template::foot();
	}
	
	/**
	* Категории
	*/
	public function category(){
		User::admin(2);
		User::aut(true);
		Template::head('Категории');
		Template::run(__CLASS__, 'category');
		Template::foot();
	}
	
	/**
	* Создать категорию
	*/
	public function creat_cat(){
		User::admin(2);
		User::aut(true);
		require_once  MODEL.'admin.class.php';
		$obj = new admin_model();
		$obj -> creat_cat();
		
		Template::head('Создать категорию');
		Template::run(__CLASS__, 'creat_cat');
		Template::foot();
	}
	
	/**
	* Перед удалением переместить сайты
	*/
	public function del_cat(){
		if(isset($_GET['get']) && Core::count("SELECT COUNT(*) FROM `category` WHERE `id` = ?", array($_GET['get'])) == true){
			User::admin(2);
		User::aut(true);
			Template::head('Удаление категории');
			Template::run(__CLASS__, 'del_cat');
			Template::foot();
		}else{
			Core::redirect('/admin/category', 'Категория не найдена');
		}
	}
	
	/**
	* Переместить и удалить
	*/
	public function delete_cat(){
		if(isset($_GET['get']) && Core::count("SELECT COUNT(*) FROM `category` WHERE `id` = ?", array($_GET['get'])) == true){
			User::admin(2);
		User::aut(true);
			require_once  MODEL.'admin.class.php';
			$obj = new admin_model();
			$obj -> delete_cat();
		}else{
			Core::redirect('/admin/category', 'Категория не найдена');
		}
	}
	
	/**
	* Система
	*/
	public function system(){
		User::admin(2);
		User::aut(true);
		require_once  MODEL.'admin.class.php';
		$obj = new admin_model();
		$obj -> system();
			
		Template::head('Система');
		Template::run(__CLASS__, 'system');
		Template::foot();
	}
	
	/**
	* Крон
	*/
	public function cron(){
		Template::run(__CLASS__, 'cron');
	}
}
?>